Description: We'd like to use the REST API to create new issues, but would like to have the ability to have attachments
(for screenshots). Currently we are using the mailer to achieve this, but it's not pretty.

There are some requests for such a feature on redmine but there doesn't seem to be any plan to implement
it.

http://www.redmine.org/boards/1/topics/87467r=11751#message-11751
http://www.redmine.org/boards/2/topics/17900

http://www.redmine.org/issues/296#note-60

http://www.redmine.org/boards/2/topics/16675

http://www.redmine.org/issues/4968

Having this would more than likely be the killer feature for us to switch from redmine to the ChiliProject.

History

2011-02-09 08:11 pm - Eric Davis
- Category set to REST API

So are you using the mailer to send attachments to an issue?

2011-02-10 01:05 pm - Eric Thomas
Eric Davis wrote:

> So are you using the mailer to send attachments to an issue?

Yep. But the mailer feels too clunky, it's basically a giant string along with an attachment. | haven't used it, but I'm pretty sure
"this":https://github.com/archiloque/rest-client/blob/master/README.rdoc would be able to facilitate the client sending multipart data.

2011-02-10 11:23 pm - Eric Davis

Okay, just wanted to make sure | understood what you were doing now. | agree a REST API for attachments would be good. You might be able to use

the Issues REST API but it's been changed a lot recently so | don't know if attachments are supported.
